Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IObjFileImporter.Curve2D.Data

    java.lang.Object
      igeo.io.IObjFileImporter.EntityData
          igeo.io.IObjFileImporter.ParametricGeometryData
              igeo.io.IObjFileImporter.Curve2D.Data

Enclosing class:
  IObjFileImporter.Curve2D

    public class IObjFileImporter.Curve2D.Data

extends IObjFileImporter.ParametricGeometryData

Field Summary
`ITrimCurve` | `curve`
`IObjFileImporter.Degree.Data` | `degree`
`IObjFileImporter.Parameter.Data` | `knots`
`java.util.ArrayList<IObjFileImporter.ParameterSpaceVertex.Data>` | `parameterSpaceVertices`
`ISurface` | `surface`
`double` | `u0`
`double` | `u1`

Fields inherited from class igeo.io.IObjFileImporter.ParametricGeometryData
`group`

Constructor Summary
`IObjFileImporter.Curve2D.Data()`

Method Summary
`ITrimCurve` | `getCurve()`
`void` | `instantiate()`
`void` | `setDegree(IObjFileImporter.Degree.Data d)`
`void` | `setKnots(IObjFileImporter.Parameter.Data d)`
`void` | `setParameterRange(double u0, double u1)`
`void` | `setSurface(ISurface surf)`

Methods inherited from class igeo.io.IObjFileImporter.ParametricGeometryData
`addToGroup, setGroup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameterSpaceVertices

    public java.util.ArrayList<IObjFileImporter.ParameterSpaceVertex.Data> parameterSpaceVertices

### degree

    public IObjFileImporter.Degree.Data degree

### knots

    public IObjFileImporter.Parameter.Data knots

### u0

    public double u0

### u1

    public double u1

### surface

    public ISurface surface

### curve

    public ITrimCurve curve

Constructor Detail

### IObjFileImporter.Curve2D.Data

    public IObjFileImporter.Curve2D.Data()

Method Detail

### setDegree

    public void setDegree(IObjFileImporter.Degree.Data d)

  Overrides:
    `setDegree` in class `IObjFileImporter.ParametricGeometryData`

### setKnots

    public void setKnots(IObjFileImporter.Parameter.Data d)

  Overrides:
    `setKnots` in class `IObjFileImporter.ParametricGeometryData`

### setParameterRange

    public void setParameterRange(double u0,
                                  double u1)

### setSurface

    public void setSurface(ISurface surf)

### getCurve

    public ITrimCurve getCurve()

### instantiate

    public void instantiate()

  Overrides:
    `instantiate` in class `IObjFileImporter.ParametricGeometryData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD